Subject: please help IDing anvil

From: "James S. DeLabar" <[email-masked]>
Date: Thu, 22 Feb 1996 12:58:32 -0500

I apologize for the duplication. I  posted this a couple of months 
     ago, and then had problems with listserv so i don't know if there was 
     any response, and i am not aware of any archives for this list.
     
     I am just trying to get started in blacksmithing and picked up a anvil 
     at an auction. it weighs about 120 lbs, and the only marking on it is 
     a 5 pointed star about 5 inches across embossed on the side. Out of 
     curiosity does this mean anything as to age, manufacture, type ? 
     thanks for any response.